curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<id>",
"object": "employee_benefit_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "employee_benefit",
"is_managed": false,
"amount": 35,
"custom_amount": null,
"managed_amount": 35,
"employee_benefit_type": {
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "health",
"label": "Health"
},
"links": {
"self": "/employee_benefit_types/health"
}
},
"recurrence": null,
"title": null,
"title_translations": null,
"title_translated": null,
"remittance_account_id": null,
"remittance_account": null,
"business_preset": null,
"source_adjustment": null,
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/employee_benefit_line_items/<id>"
}
}
],
"links": {
"first": "/employee_benefit_line_items?pay_stub_id=<id>&page=1",
"last": "/employee_benefit_line_items?pay_stub_id=<id>&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 1,
"has_more": false
}
}List employee benefit line items
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<id>",
"object": "employee_benefit_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "employee_benefit",
"is_managed": false,
"amount": 35,
"custom_amount": null,
"managed_amount": 35,
"employee_benefit_type": {
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "health",
"label": "Health"
},
"links": {
"self": "/employee_benefit_types/health"
}
},
"recurrence": null,
"title": null,
"title_translations": null,
"title_translated": null,
"remittance_account_id": null,
"remittance_account": null,
"business_preset": null,
"source_adjustment": null,
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/employee_benefit_line_items/<id>"
}
}
],
"links": {
"first": "/employee_benefit_line_items?pay_stub_id=<id>&page=1",
"last": "/employee_benefit_line_items?pay_stub_id=<id>&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 1,
"has_more": false
}
}Authorizations
Query Parameters
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_start=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:payroll_period_start[gte]=2024-01-01&payroll_period_start[lt]=2024-12-31
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_end=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:payroll_period_end[gte]=2024-01-01&payroll_period_end[lt]=2024-12-31
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_pay_date=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:payroll_pay_date[gte]=2024-01-01&payroll_pay_date[lt]=2024-12-31
Only return line items with the specified types.
accident_insurance_plan, critical_illness, debt_relief, dental, employee_assistance_program, fondaction, fondaction_rrsp, fonds_solidarite_ftq, fonds_solidarite_ftq_rrsp, group_dependent_life_insurance, group_term_life_insurance, health, health_spending_account, long_term_disability, non_group_long_term_disability, non_group_short_term_disability, pension_dbpp, pension_dcpp, pension_mfpp, pension_prpp, pension_restricted_rrsp, pension_rrsp, pension_rrsp_non_periodic, pension_unregistered_prpp, pension_vrsp, profit_sharing_dpsp, savings_tfsa, second_opinion_medical_consultation, short_term_disability, virtual_health_service, wellness_spending_account Only return line items without the specified types.
accident_insurance_plan, critical_illness, debt_relief, dental, employee_assistance_program, fondaction, fondaction_rrsp, fonds_solidarite_ftq, fonds_solidarite_ftq_rrsp, group_dependent_life_insurance, group_term_life_insurance, health, health_spending_account, long_term_disability, non_group_long_term_disability, non_group_short_term_disability, pension_dbpp, pension_dcpp, pension_mfpp, pension_prpp, pension_restricted_rrsp, pension_rrsp, pension_rrsp_non_periodic, pension_unregistered_prpp, pension_vrsp, profit_sharing_dpsp, savings_tfsa, second_opinion_medical_consultation, short_term_disability, virtual_health_service, wellness_spending_account business_preset, custom_expense_accounting_code, custom_liability_accounting_code, custom_tag_assignment, expense_accounting_code, expense_accounting_code_rule, liability_accounting_code, liability_accounting_code_rule, managed_expense_accounting_code, managed_liability_accounting_code, managed_tag_assignment, pay_stub, recurrence, remittance_account, source_adjustment, tag_assignment, tag_assignment_amounts Response
OK
Hide child attributes
Hide child attributes
- Default
- With pay_stub expanded
- With recurrence expanded
- With remittance_account expanded
- With business_preset expanded
- With source_adjustment expanded
- With expense_accounting_code expanded
- With managed_expense_accounting_code expanded
- With custom_expense_accounting_code expanded
- With expense_accounting_code_rule expanded
- With liability_accounting_code expanded
- With managed_liability_accounting_code expanded
- With custom_liability_accounting_code expanded
- With liability_accounting_code_rule expanded
- With tag_assignment expanded
- With managed_tag_assignment expanded
- With custom_tag_assignment expanded
- With tag_assignment_amounts expanded
Hide child attributes
Hide child attributes
The type of Employee Benefit for this line item.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, included_in_gross_pay, included_in_hour_totals, included_in_stat_holiday_pay, moves_money, reduces_base, tax_credit, withholding Hide child attributes
Hide child attributes
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The provinces of employment where amounts of this type are reported in this box. RL-1 boxes apply only in Quebec. Most T4 and T4A boxes apply in every province; a few, such as for Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

